| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csInverseAttenuation Struct Reference

Inverse linear attenuation. More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions
| csInverseAttenuation (const csLightProperties &)
CS_FORCEINLINE_TEMPLATEMETHOD void | operator() (float distance, float &dp) const

## Detailed Description

Inverse linear attenuation.

Out = in * / distance

Definition at line 167 of file vertexlight.h.

The documentation for this struct was generated from the following file:

- csgfx/vertexlight.h